=head1 NAME

Net::Jabber::Loudmouth::Proxy -  Jabber proxy

=cut

=head1 HIERARCHY

  Glib::Boxed
  +----Net::Jabber::Loudmouth::Proxy



=cut

=for object Net::Jabber::Loudmouth::Proxy Jabber proxy

=cut




=head1 METHODS

=head2 proxy = Net::Jabber::Loudmouth::Proxy-E<gt>B<new> ($type)

=over

=item * $type (Net::Jabber::Loudmouth::ProxyType) 

=back

=head2 proxy = Net::Jabber::Loudmouth::Proxy-E<gt>B<new_with_server> ($type, $server, $port)

=over

=item * $type (Net::Jabber::Loudmouth::ProxyType) 

=item * $server (string) 

=item * $port (integer) 

=back

=head2 string = $proxy-E<gt>B<get_password> 

=head2 $proxy-E<gt>B<set_password> ($password)

=over

=item * $password (string) 

=back

=head2 integer = $proxy-E<gt>B<get_port> 

=head2 $proxy-E<gt>B<set_port> ($port)

=over

=item * $port (integer) 

=back

=head2 string = $proxy-E<gt>B<get_server> 

=head2 $proxy-E<gt>B<set_server> ($server)

=over

=item * $server (string) 

=back

=head2 proxytype = $proxy-E<gt>B<get_type> 

=head2 $proxy-E<gt>B<set_type> ($type)

=over

=item * $type (Net::Jabber::Loudmouth::ProxyType) 

=back

=head2 string = $proxy-E<gt>B<get_username> 

=head2 $proxy-E<gt>B<set_username> ($username)

=over

=item * $username (string) 

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Net::Jabber::Loudmouth::ProxyType

=over

=item * 'none' / 'LM_PROXY_TYPE_NONE'

=item * 'http' / 'LM_PROXY_TYPE_HTTP'

=back




=cut


=head1 SEE ALSO

L<Net::Jabber::Loudmouth>, L<Glib::Boxed>


=cut


=head1 COPYRIGHT

Copyright (C) 2005 by Florian Ragwitz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.7 or, at your option, any later version of Perl 5 you may have available.


=cut

